Package org.apache.sling.launchpad.app

# Enum ControlAction

java.lang.Object
java.lang.Enum<ControlAction>
org.apache.sling.launchpad.app.ControlAction

All Implemented Interfaces:
  `Serializable`, `Comparable<ControlAction>`

public enum ControlAction extends Enum<ControlAction>
The `ControlAction` defines values to used as the action for the Sling control with the `Main.doControlAction()` method.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`START`
Indicates the Sling application should be started and a listener should be installed to accept control commands.
`STATUS`
Indicates to connect to a running Sling application having installed a listener and ask that application about its state.
`STOP`
Indicates to connect to a running Sling application having installed a listener and send that application the command to shutdown.
`THREADS`
Indicates to connect to a running Sling application having installed a listener and ask for a thread dump.

## Method Summary

Modifier and Type
Method
Description
`static ControlAction`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ControlAction[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### START

public static final ControlAction START
Indicates the Sling application should be started and a listener should be installed to accept control commands.

### STOP

public static final ControlAction STOP
Indicates to connect to a running Sling application having installed a listener and send that application the command to shutdown.

### STATUS

public static final ControlAction STATUS
Indicates to connect to a running Sling application having installed a listener and ask that application about its state.

### THREADS

public static final ControlAction THREADS
Indicates to connect to a running Sling application having installed a listener and ask for a thread dump.

## Method Details

### values

public static ControlAction[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ControlAction valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null